Bug 318711 - ISE from CSV download URL if session timed out
Summary: ISE from CSV download URL if session timed out
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI   
(Show other bugs)
Version: 520
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: John Matthews
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 248643
TreeView+ depends on / blocked
 
Reported: 2007-10-04 16:24 UTC by Máirín Duffy
Modified: 2008-04-02 21:07 UTC (History)
0 users

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 21:07:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Máirín Duffy 2007-10-04 16:24:24 UTC
Description of problem:

1) log into sat, navigate to a CSV-enabled list.
2) go get a coffee, and some donuts too. 
3) come back to your computer, click on the 'download CSV' link
4) hey! your login's timed out. it'll prompt you to login, go ahead
5) boom, ISE

Version-Release number of selected component (if applicable):
saw it today on fjs-0-10 which i think is cwelton's test sat.

How reproducible:
very

Additional info:
<jmatthews> mizmo, the data to get the csv link is stored in session context, I
prob didn't check something correctly for when the session is different
<jmatthews> mizmo, I don't believe the link shoudl be working for this scenario,
but it should not throw an exception, I should be able to prevent against that part

Comment 1 John Matthews 2007-10-04 21:08:52 UTC
fix checked into svn, info below:

Date: 2007-10-04 17:03:47 -0400 (Thu, 04 Oct 2007)
New Revision: 132530
Log:
Bugzilla: 318711: ISE from CSV download URL if session timed out
Modified CSVDownloadAction to redirect to an error page if an exception is detected.

Comment 2 wes hayutin 2007-10-10 19:31:01 UTC
I cant recreate.. in build 14.. so I guess its verified..

Comment 3 Brandon Perkins 2008-04-02 21:07:54 UTC
UI Enhancements for 5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.